---
title: "Get an transaction by ID"
description: "Returns a single transaction by its primary key (`id`), scoped to the company in the `companyId` header. The response includes line items, segments and custom segments, approval metadata, and the related company object."
source: https://developers.qashio.com/v1/reference/get-erp-transactions-by-id/
---

# Get an transaction by ID

`GET /erp-transactions/{id}`

Requires a Bearer access token.

Returns a single transaction by its primary key (`id`), scoped to the company in the `companyId` header. The response includes line items, segments and custom segments, approval metadata, and the related company object.

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |

### Example request

```bash
curl -X GET 'https://erp.qashio.com/erp-transactions/e9ef4087-5bd6-4ead-b472-e5e88aecf2f8' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <access_token>'
```

### Example response (200)

```json
{
  "id": "32cdd629-cd1c-4979-a76c-cbb3a3f14516",
  "qashioId": "CT123asd123",
  "companyId": "COoyy0mfzqhxtbkm",
  "cardExternalId": "CA0zkna0yao4vpfq",
  "poolExternalId": "ACpool1234567890",
  "amount": 102,
  "currency": "USD",
  "transactionTime": "2025-02-18T12:58:36.407Z",
  "transactionStatus": "draft",
  "transactionMode": "Online",
  "rrn": "RRN-1739883516407-2",
  "transactionDescription": "Transaction for vendor 2",
  "transactionType": "Purchase",
  "messageType": "MTI123",
  "transmissionDateTime": "2025-02-18T12:58:36.407Z",
  "vendorTrn": "VendorTrn-2",
  "transactionAmount": 102.5,
  "transactionCurrency": "USD",
  "purchaseOrderNumber": "PO-2",
  "parentId": null,
  "parentQashioId": null,
  "memo": "Memo for transaction 2",
  "clearingStatus": "Processed",
  "vatAmount": 12,
  "transactionCategory": "Purchase",
  "visible": true,
  "clearedAt": "2025-02-18T12:58:36.407Z",
  "excludeFromSync": false,
  "status": "draft",
  "syncErrors": [],
  "erpSyncStatus": "Pending",
  "erpSyncType": "Full",
  "merchantName": "Amazon",
  "merchantCountry": "AE",
  "erpSupplierName": "Supplier 2",
  "erpSupplierRemoteId": "remote-id-2",
  "poolAccountName": "Account 2",
  "cardName": "Visa Platinum",
  "cardLastFour": "0002",
  "cardHolderName": "Card Holder 2",
  "cardHolderEmail": "holder2@example.com",
  "employeeId": "emp-123",
  "approvalStatus": "Pending",
  "approvedDateTime": "2026-03-15T16:45:22.000Z",
  "approvedBy": {
    "userExternalId": "UP95egoevjjmct7u",
    "name": "Zahid Automation"
  },
  "chartOfAccountNumber": "COA-6100",
  "feeCharges": 2.75,
  "modifiedDate": "2026-03-16T09:12:05.000Z",
  "receipts": [
    "https://example.com/receipt1.jpg",
    "https://example.com/receipt2.jpg"
  ],
  "segments": [
    {
      "name": "Main Office",
      "label": "Location",
      "erp_internal_id": "LOC-001",
      "code": "MO"
    },
    {
      "name": "Project Alpha",
      "label": "Project",
      "erp_internal_id": "PROJ-001",
      "code": "PA"
    },
    {
      "name": "Engineering",
      "label": "Division",
      "erp_internal_id": "DIV-001",
      "code": "ENG"
    },
    {
      "name": "IT Department",
      "label": "Department",
      "erp_internal_id": "DEPT-001"
    },
    {
      "name": "Vendor Name",
      "label": "CustomSegment-Vender",
      "code": "VENDOR-001"
    },
    {
      "name": "Customer Name",
      "label": "CustomSegment-Customer",
      "code": "CUSTOMER-001"
    }
  ],
  "customSegments": [
    {
      "label": "CustomSegment-Vender",
      "name": "Vendor Name",
      "erp_internal_id": null,
      "code": "VENDOR-001"
    }
  ],
  "createdAt": "2025-02-18T12:58:36.410Z",
  "updatedAt": "2025-02-18T12:58:36.410Z",
  "lineItems": [
    {
      "id": "7d31f208-e6d7-42c8-adad-a66a19206ffa",
      "amount": 120,
      "vatAmount": 14,
      "description": "Line Item for Transaction 2",
      "expenseCategory": "Office Supplies",
      "erpTaxRateName": "Tax Rate 2",
      "erpTaxRateRemoteId": "tax-rate-remote-id-2",
      "erpChartOfAccountName": "Account 2",
      "erpChartOfAccountRemoteId": "chart-account-remote-id-2",
      "segments": [
        {
          "name": "Main Office",
          "label": "Location",
          "erp_internal_id": "LOC-001",
          "code": "MO"
        },
        {
          "name": "Project Alpha",
          "label": "Project",
          "erp_internal_id": "PROJ-001",
          "code": "PA"
        },
        {
          "name": "Engineering",
          "label": "Division",
          "erp_internal_id": "DIV-001",
          "code": "ENG"
        },
        {
          "name": "IT Department",
          "label": "Department",
          "erp_internal_id": "DEPT-001"
        },
        {
          "name": "Vendor Name",
          "label": "CustomSegment-Vender",
          "code": "VENDOR-001"
        },
        {
          "name": "Customer Name",
          "label": "CustomSegment-Customer",
          "code": "CUSTOMER-001"
        }
      ],
      "createdAt": "2025-02-18T12:59:22.393Z",
      "updatedAt": "2025-02-18T12:59:22.393Z"
    },
    {
      "id": "a2f5bcf2-3743-4573-a88f-477cfd6f3e52",
      "amount": 120,
      "vatAmount": 14,
      "description": "Line Item for Transaction 2",
      "expenseCategory": "Office Supplies",
      "erpTaxRateName": "Tax Rate 2",
      "erpTaxRateRemoteId": "tax-rate-remote-id-2",
      "erpChartOfAccountName": "Account 2",
      "erpChartOfAccountRemoteId": "chart-account-remote-id-2",
      "segments": [
        {
          "name": "Main Office",
          "label": "Location",
          "erp_internal_id": "LOC-001",
          "code": "MO"
        },
        {
          "name": "Project Alpha",
          "label": "Project",
          "erp_internal_id": "PROJ-001",
          "code": "PA"
        },
        {
          "name": "Engineering",
          "label": "Division",
          "erp_internal_id": "DIV-001",
          "code": "ENG"
        },
        {
          "name": "IT Department",
          "label": "Department",
          "erp_internal_id": "DEPT-001"
        },
        {
          "name": "Vendor Name",
          "label": "CustomSegment-Vender",
          "code": "VENDOR-001"
        },
        {
          "name": "Customer Name",
          "label": "CustomSegment-Customer",
          "code": "CUSTOMER-001"
        }
      ],
      "createdAt": "2025-02-18T12:59:46.648Z",
      "updatedAt": "2025-02-18T12:59:46.648Z"
    }
  ],
  "erpCompany": {
    "id": "a01bce14-a29a-4104-a350-1d48ec371729",
    "name": "Company 46",
    "businessLegalName": "Business Legal Name 46",
    "companyCountry": "US",
    "parentCompanyId": null,
    "status": "active",
    "isDeleted": false,
    "createdAt": "2025-02-10T11:52:53.007Z",
    "updatedAt": "2025-02-10T11:52:53.007Z"
  }
}
```

### Errors

- `400` Bad Request
